Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation
Class PortletInvocation

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInvocation

Direct Known Subclasses:
  ActionInvocation, EventInvocation, RenderInvocation, ResourceInvocation

    public abstract class PortletInvocation

extends java.lang.Object

Since:
  2.4
Version:
  $Revision: 6765 $
Author:
  Julien Viet

Field Summary
`protected org.jboss.portal.common.invocation.AttributeResolver` | `attributes` .
`protected ClientContext` | `clientContext` The client context.
`protected PortletInvocationContext` | `ctx` The invocation context.
`protected javax.servlet.http.HttpServletRequest` | `dreq` The dispatched request.
`protected javax.servlet.http.HttpServletResponse` | `dresp` The dispatched response.
`protected InstanceContext` | `instanceContext` The instance context.
`protected org.jboss.portal.Mode` | `mode` .
`protected StateString` | `navigationalState` .
`protected PortalContext` | `portalContext` The portal context.
`protected java.util.Map<java.lang.String,java.lang.String[]>` | `publicNavigationalState` .
`protected java.util.Map<java.lang.String,java.lang.Object>` | `requestAttributes` The portlet request attributes.
`protected SecurityContext` | `securityContext` The security context.
`protected ServerContext` | `serverContext` The server context.
`protected PortletContext` | `target` The target portlet.
`protected UserContext` | `userContext` The user context.
`protected WindowContext` | `windowContext` The window context.
`protected org.jboss.portal.WindowState` | `windowState` .

Constructor Summary
`protected` | `PortletInvocation(PortletInvocationContext ctx)` Create an invocation to a portlet.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attrKey)`
`ClientContext` | `getClientContext()`
`PortletInvocationContext` | `getContext()`
`javax.servlet.http.HttpServletRequest` | `getDispatchedRequest()` Returns the dispatched http servlet request.
`javax.servlet.http.HttpServletResponse` | `getDispatchedResponse()` Returns the dispatched http servlet request.
`InstanceContext` | `getInstanceContext()`
`org.jboss.portal.Mode` | `getMode()`
`StateString` | `getNavigationalState()`
`PortalContext` | `getPortalContext()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPublicNavigationalState()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getRequestAttributes()`
`SecurityContext` | `getSecurityContext()`
`ServerContext` | `getServerContext()`
`PortletContext` | `getTarget()`
`UserContext` | `getUserContext()`
`WindowContext` | `getWindowContext()`
`org.jboss.portal.WindowState` | `getWindowState()`
`void` | `removeAttribute(java.lang.Object attrKey)`
`void` | `setAttribute(java.lang.String attrKey, java.lang.Object attrValue)`
`void` | `setClientContext(ClientContext clientContext)`
`void` | `setDispatchedRequest(javax.servlet.http.HttpServletRequest dreq)` Set the dispatched http servlet request.
`void` | `setDispatchedResponse(javax.servlet.http.HttpServletResponse dresp)` Set the dispatched http servlet request.
`void` | `setInstanceContext(InstanceContext instanceContext)`
`void` | `setMode(org.jboss.portal.Mode mode)`
`void` | `setNavigationalState(StateString navigationalState)`
`void` | `setPortalContext(PortalContext portalContext)`
`void` | `setPublicNavigationalState(java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalState)`
`void` | `setRequestAttributes(java.util.Map<java.lang.String,java.lang.Object> requestAttributes)`
`void` | `setSecurityContext(SecurityContext securityContext)`
`void` | `setServerContext(ServerContext serverContext)`
`void` | `setTarget(PortletContext target)`
`void` | `setUserContext(UserContext userContext)`
`void` | `setWindowContext(WindowContext windowContext)`
`void` | `setWindowState(org.jboss.portal.WindowState windowState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributes

    protected final org.jboss.portal.common.invocation.AttributeResolver attributes

  .

### navigationalState

    protected StateString navigationalState

  .

### publicNavigationalState

    protected java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalState

  .

### mode

    protected org.jboss.portal.Mode mode

  .

### windowState

    protected org.jboss.portal.WindowState windowState

  .

### target

    protected PortletContext target

  The target portlet.

### requestAttributes

    protected java.util.Map<java.lang.String,java.lang.Object> requestAttributes

  The portlet request attributes.

### ctx

    protected PortletInvocationContext ctx

  The invocation context.

### portalContext

    protected PortalContext portalContext

  The portal context.

### clientContext

    protected ClientContext clientContext

  The client context.

### serverContext

    protected ServerContext serverContext

  The server context.

### securityContext

    protected SecurityContext securityContext

  The security context.

### userContext

    protected UserContext userContext

  The user context.

### instanceContext

    protected InstanceContext instanceContext

  The instance context.

### windowContext

    protected WindowContext windowContext

  The window context.

### dreq

    protected javax.servlet.http.HttpServletRequest dreq

  The dispatched request.

### dresp

    protected javax.servlet.http.HttpServletResponse dresp

  The dispatched response.

Constructor Detail

### PortletInvocation

    protected PortletInvocation(PortletInvocationContext ctx)
                         throws java.lang.IllegalArgumentException

  Create an invocation to a portlet.

  Parameters:
    `ctx` - the portlet invocation context
  Throws:
    `java.lang.IllegalArgumentException` - if the provided context is null

Method Detail

### getContext

    public PortletInvocationContext getContext()

### getTarget

    public PortletContext getTarget()

### setTarget

    public void setTarget(PortletContext target)

### getDispatchedResponse

    public javax.servlet.http.HttpServletResponse getDispatchedResponse()

  Returns the dispatched http servlet request.

  Returns:
    the dispatched response

### setDispatchedResponse

    public void setDispatchedResponse(javax.servlet.http.HttpServletResponse dresp)

  Set the dispatched http servlet request.

  Parameters:
    `dresp` - the dispatched response

### getDispatchedRequest

    public javax.servlet.http.HttpServletRequest getDispatchedRequest()

  Returns the dispatched http servlet request.

  Returns:
    the dispatched request

### setDispatchedRequest

    public void setDispatchedRequest(javax.servlet.http.HttpServletRequest dreq)

  Set the dispatched http servlet request.

  Parameters:
    `dreq` - the dispatched request

### getNavigationalState

    public StateString getNavigationalState()

### setNavigationalState

    public void setNavigationalState(StateString navigationalState)

### getPublicNavigationalState

    public java.util.Map<java.lang.String,java.lang.String[]> getPublicNavigationalState()

### setPublicNavigationalState

    public void setPublicNavigationalState(java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalState)

### getMode

    public org.jboss.portal.Mode getMode()

### setMode

    public void setMode(org.jboss.portal.Mode mode)

### getWindowState

    public org.jboss.portal.WindowState getWindowState()

### setWindowState

    public void setWindowState(org.jboss.portal.WindowState windowState)

### getPortalContext

    public PortalContext getPortalContext()

### setPortalContext

    public void setPortalContext(PortalContext portalContext)

### getClientContext

    public ClientContext getClientContext()

### setClientContext

    public void setClientContext(ClientContext clientContext)

### getServerContext

    public ServerContext getServerContext()

### setServerContext

    public void setServerContext(ServerContext serverContext)

### getSecurityContext

    public SecurityContext getSecurityContext()

### setSecurityContext

    public void setSecurityContext(SecurityContext securityContext)

### getUserContext

    public UserContext getUserContext()

### setUserContext

    public void setUserContext(UserContext userContext)

### getInstanceContext

    public InstanceContext getInstanceContext()

### setInstanceContext

    public void setInstanceContext(InstanceContext instanceContext)

### getWindowContext

    public WindowContext getWindowContext()

### setWindowContext

    public void setWindowContext(WindowContext windowContext)

### getRequestAttributes

    public java.util.Map<java.lang.String,java.lang.Object> getRequestAttributes()

### setRequestAttributes

    public void setRequestAttributes(java.util.Map<java.lang.String,java.lang.Object> requestAttributes)

### setAttribute

    public void setAttribute(java.lang.String attrKey,
                             java.lang.Object attrValue)

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attrKey)

### removeAttribute

    public void removeAttribute(java.lang.Object attrKey)
                         throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.